package com.engine.recruit.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.recruit.service.RecruitScheduleService;
import com.engine.recruit.service.impl.RecruitScheduleServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2024/03/27
 * @version: 1.0
 */
public class RecruitScheduleWrapper extends Service {
    private RecruitScheduleService getRecruitScheduleService(User user) {
        return ServiceUtil.getService(RecruitScheduleServiceImpl.class, user);
    }

    public Map<String, Object> immediatelyRun(Map<String, Object> param) {
        return getRecruitScheduleService(user).immediatelyRun(param);
    }
}
